Name:           python-dlstudio
Version:        2.5.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A PyTorch based software platform for teaching the Deep Learning class at Purdue University

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://engineering.purdue.edu/kak/distDLS/DLStudio-2.5.2.html
Source:         %{pypi_source DLStudio}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dlstudio' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dlstudio
Summary:        %{summary}

%description -n python3-dlstudio %_description


%prep
%autosetup -p1 -n DLStudio-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dlstudio -f %{pyproject_files}


%changelog
%autochangelog